1.7

@Pathoschild Pathoschild released this Jan 19, 2017

SMAPI 1.7 focuses on helping mod developers: it adds a mod registry, fixes all known issues with events, cleans up the console a bit, and includes various fixes and improvements listed in the full release notes.

Requires Stardew Valley 1.1 or 1.11 on Linux, Mac, or Windows. Compatible with all SMAPI 1.0+ mods and almost all SMAPI 0.40+ mods.

For players

For mod developers

Downloads

1.6

@Pathoschild Pathoschild released this Jan 16, 2017 · 12 commits to develop since this release

SMAPI 1.6 adds save & load events for mods to use, console commands to open the game/data folders, and many other fixes and improvements. See the release notes for details.

Requires Stardew Valley 1.1 or 1.11 on Linux, Mac, or Windows. Compatible with all SMAPI 1.0+ mods and almost all SMAPI 0.40+ mods.

For players

For mod developers

Downloads

1.5

@Pathoschild Pathoschild released this Dec 27, 2016 · 39 commits to develop since this release

SMAPI 1.5 shows a friendly error when you install a known incompatible mod (and suggests where to find a compatible version), lets you disable update checks, and includes various fixes and deprecations. See the release notes for details.

Requires Stardew Valley 1.1 or 1.11 on Linux, Mac, or Windows. Compatible with all SMAPI 1.0+ mods and almost all SMAPI 0.40+ mods.

For players

For mod developers

Downloads

1.4

@Pathoschild Pathoschild released this Dec 13, 2016 · 62 commits to develop since this release

SMAPI 1.4 improves the installer and Linux/Mac compatibility, prevents mods from crashing the game with menu errors, and adds several improvements for mod developers. See the release notes for details.

Requires Stardew Valley 1.1 or 1.11 on Linux, Mac, or Windows. Compatible with any SMAPI 1.0+ mod and almost any SMAPI 0.40+ mod.

For players

For mod developers

Downloads

1.3

@Pathoschild Pathoschild released this Dec 4, 2016 · 92 commits to develop since this release

SMAPI 1.3 lets you use mods on any platform, without needing the author to create separate versions. This mainly benefits Linux and Mac players (since the vast majority of mods previously only worked on Windows) and mod authors (who no longer need to create multiple versions). See the release notes for details.

Requires Stardew Valley 1.1 or 1.11 on Linux, Mac, or Windows. Compatible with any SMAPI 1.0+ mod and almost any SMAPI 0.40+ mod.

For players

For mod developers

Downloads

1.2

@Pathoschild Pathoschild released this Nov 25, 2016

SMAPI 1.2 focuses on stability and compatibility. It now intercepts most mod errors that would previously have crashed the game, and fixes compatibility with some older mods. See the release notes for details.

Compatible with Stardew Valley 1.1 or 1.11 on Linux, Mac, or Windows.

For players

For mod developers

Downloads

1.1.1

@Pathoschild Pathoschild released this Nov 19, 2016

SMAPI 1.1.1 fixes compatibility with many older mods, and fixes an issue were some mods would sometimes crash on launch. See the release notes for details.

Compatible with Stardew Valley 1.1 or 1.11 on Linux, Mac, or Windows.

For players

For mod developers

Downloads

1.1

@Pathoschild Pathoschild released this Nov 18, 2016

SMAPI 1.1 fixes several known issues, adds a better logging framework for mods, and lets mods request a minimum SMAPI version. See the release notes for details.

Compatible with Stardew Valley 1.1 or 1.11 on Linux, Mac, or Windows.

For players

For mod developers

Downloads

1.0

@Pathoschild Pathoschild released this Nov 11, 2016

SMAPI 1.0 adds crossplatform support (compatible with Linux, Mac, and Windows), an automatic installer, an update check, and many other changes to make SMAPI easier to use and more robust. See the release notes for details.

Compatible with Stardew Valley 1.1 or 1.11 on Linux, Mac, or Windows.

For players

For mod developers

Downloads